package com.gic.haoban.manage.service.service.out.impl.moment;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.moment.*;
import com.gic.haoban.manage.api.qdto.moment.*;
import com.gic.haoban.manage.api.service.moment.QwMomentApiService;
import com.gic.haoban.manage.service.service.moment.QwMomentPlanAttendService;
import com.gic.haoban.manage.service.service.moment.QwMomentPlanDataService;
import com.gic.haoban.manage.service.service.moment.QwMomentPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("qwMomentApiService")
public class QwMomentApiServiceImpl implements QwMomentApiService {

    @Autowired
    private QwMomentPlanService qwMomentPlanService ;
    @Autowired
    private QwMomentPlanAttendService qwMomentPlanAttendService ;
    @Autowired
    private QwMomentPlanDataService qwMomentPlanDataService ;

    @Override
    public ServiceResponse<QwMomentPlanDTO> save(QwMomentPlanDTO plan) {
        return this.qwMomentPlanService.save(plan);
    }
    @Override
    public ServiceResponse<Void> del(Long planId) {
        return this.qwMomentPlanService.del(planId);
    }

    @Override
    public ServiceResponse<Void> stop(Long planId) {
        return this.qwMomentPlanService.stop(planId);
    }

    @Override
    public ServiceResponse<QwMomentPlanDTO> detail(Long planId) {
        return this.qwMomentPlanService.detail(planId) ;
    }

    @Override
    public ServiceResponse<Page<QwMomentPlanDTO>> planList(QwMomentPlanQDTO qdto) {
        return this.qwMomentPlanService.planList(qdto) ;
    }

    @Override
    public ServiceResponse<Page<QwMomentPlanAttendDTO>> attendList(PlanClerkListQDTO qdto) {
        return this.qwMomentPlanAttendService.attendList(qdto) ;
    }

    @Override
    public ServiceResponse<Page<QwMomentPlanDataDTO>> dataList(PlanDataListQDTO qdto) {
        return this.qwMomentPlanDataService.dataList(qdto) ;
    }

    @Override
    public void initTaskClerk(String params) {
        this.qwMomentPlanService.initTaskClerk(params) ;
    }

    @Override
    public void sendPlanNoticeTimer(String params) {
        this.qwMomentPlanService.sendPlanNoticeTimer(params) ;
    }

    @Override
    public ServiceResponse<Integer> getTaskNum(TaskNumQDTO qdto) {
        return this.qwMomentPlanService.getTaskNum(qdto) ;
    }

    @Override
    public ServiceResponse<Page<QwMomentPlanWxaDTO>> planListWxa(PlanListWxaQDTO qdto) {
        return this.qwMomentPlanService.planListWxa(qdto) ;
    }

    @Override
    public ServiceResponse<Page<TaskListWxaDTO>> taskListWxa(TaskListWxaQDTO qdto) {
        return this.qwMomentPlanAttendService.taskListWxa(qdto) ;
    }

    @Override
    public ServiceResponse<TaskDetailDTO> taskDetail(Long planId, String execClerkId) {
        return this.qwMomentPlanAttendService.taskDetail(planId,execClerkId) ;
    }

    @Override
    public ServiceResponse<Void> finishTask(SendResultQDTO qdto) {
        return this.qwMomentPlanAttendService.finishTask(qdto) ;
    }
}
